io.netty.handler.codec.mqtt

## Class MqttPubReplyMessageVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageIdVariableHeader
  - - io.netty.handler.codec.mqtt.MqttPubReplyMessageVariableHeader

    public final class MqttPubReplyMessageVariableHeader
    extends MqttMessageIdVariableHeader

Variable Header containing Packet Id, reason code and Properties as in MQTT v5 spec.

### Field Summary

Fields
`static byte` `REASON_CODE_OK`

### Constructor Summary

Constructors
Constructor and Description
`MqttPubReplyMessageVariableHeader(int messageId, byte reasonCode, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttProperties` `properties()`
`byte` `reasonCode()`
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessageIdVariableHeader

`from, messageId, withEmptyProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### REASON_CODE_OK

    public static final byte REASON_CODE_OK

See Also:
  Constant Field Values

### Constructor Detail

#### MqttPubReplyMessageVariableHeader

    public MqttPubReplyMessageVariableHeader(int messageId,
                                             byte reasonCode,
                                             MqttProperties properties)

### Method Detail

#### reasonCode

    public byte reasonCode()

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `MqttMessageIdVariableHeader`